{
  "name": "test-app",
  "version": "0.0.1-SNAPSHOT",
  "private": true,
  "description": "Description for testApp",
  "license": "UNLICENSED",
  "scripts": {
    "prettier:check": "prettier --check \"{,src/**/,webpack/}*.{md,json,yml,html,js,ts,tsx,css,scss,java}\"",
    "prettier:format": "prettier --write \"{,src/**/,webpack/}*.{md,json,yml,html,js,ts,tsx,css,scss,java}\"",
    "lint": "eslint . --ext .js,.ts,.jsx,.tsx",
    "lint:fix": "npm run lint -- --fix",
    "cleanup": "rimraf target/classes/static/",
    "clean-www": "rimraf target/classes/static/app/{src,target/}",
    "jest": "jest --coverage --logHeapUsage --maxWorkers=2 --config jest.conf.js",
    "jest:update": "npm run jest -- --updateSnapshot",
    "start": "npm run webapp:dev",
    "start-tls": "npm run webapp:dev -- --env.tls",
    "pretest": "npm run lint",
    "test": "npm run jest",
    "test-ci": "npm run lint && npm run jest:update",
    "test:watch": "npm run jest -- --watch",
    "webapp:build": "npm run clean-www && npm run webapp:build:dev",
    "webapp:build:dev": "npm run webpack -- --config webpack/webpack.dev.js --env stats=minimal",
    "webapp:build:prod": "npm run webpack -- --config webpack/webpack.prod.js --progress=profile",
    "webapp:dev": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --inline --env stats=minimal",
    "webapp:dev-verbose": "npm run webpack-dev-server -- --config webpack/webpack.dev.js --inline --progress=profile --env stats=normal",
    "webapp:prod": "npm run clean-www && npm run webapp:build:prod",
    "webapp:test": "npm run test",
    "webpack-dev-server": "npm run webpack -- serve",
    "webpack": "node --max_old_space_size=4096 node_modules/webpack/bin/webpack.js",
    "docker:db:up": "docker-compose -f src/main/docker/mysql.yml up -d",
    "docker:db:down": "docker-compose -f src/main/docker/mysql.yml down -v --remove-orphans",
    "docker:others:await": "",
    "predocker:others:up": "",
    "docker:others:up": "",
    "docker:others:down": "",
    "ci:e2e:prepare:docker": "npm run docker:db:up && npm run docker:others:up && docker ps -a",
    "ci:e2e:prepare": "npm run ci:e2e:prepare:docker",
    "ci:e2e:teardown:docker": "npm run docker:db:down --if-present && npm run docker:others:down && docker ps -a",
    "ci:e2e:teardown": "npm run ci:e2e:teardown:docker",
    "backend:info": "./mvnw -ntp enforcer:display-info --batch-mode",
    "backend:doc:test": "./mvnw -ntp javadoc:javadoc --batch-mode",
    "backend:nohttp:test": "./mvnw -ntp checkstyle:check --batch-mode",
    "backend:start": "./mvnw -P-webapp",
    "java:jar": "./mvnw -ntp verify -DskipTests --batch-mode",
    "java:war": "./mvnw -ntp verify -DskipTests --batch-mode -Pwar",
    "java:docker": "./mvnw -ntp verify -DskipTests jib:dockerBuild",
    "backend:unit:test": "./mvnw -ntp -P-webapp verify --batch-mode -Dlogging.level.ROOT=OFF -Dlogging.level.org.zalando=OFF -Dlogging.level.tech.jhipster=OFF -Dlogging.level.com.mycompany.myapp=OFF -Dlogging.level.org.springframework=OFF -Dlogging.level.org.springframework.web=OFF -Dlogging.level.org.springframework.security=OFF",
    "backend:build-cache": "./mvnw dependency:go-offline",
    "java:jar:dev": "npm run java:jar -- -Pdev,webapp",
    "java:jar:prod": "npm run java:jar -- -Pprod",
    "java:war:dev": "npm run java:war -- -Pdev,webapp",
    "java:war:prod": "npm run java:war -- -Pprod",
    "java:docker:dev": "npm run java:docker -- -Pdev,webapp",
    "java:docker:prod": "npm run java:docker -- -Pprod",
    "ci:backend:test": "npm run backend:info && npm run backend:doc:test && npm run backend:nohttp:test && npm run backend:unit:test",
    "ci:server:package": "npm run java:$npm_package_config_packaging:$npm_package_config_default_environment",
    "ci:e2e:package": "npm run java:$npm_package_config_packaging:$npm_package_config_default_environment -- -Pe2e -Denforcer.skip=true",
    "preci:e2e:server:start": "npm run docker:db:await --if-present && npm run docker:others:await --if-present",
    "ci:e2e:server:start": "java -jar target/e2e.$npm_package_config_packaging --spring.profiles.active=$npm_package_config_default_environment -Dlogging.level.ROOT=OFF -Dlogging.level.org.zalando=OFF -Dlogging.level.tech.jhipster=OFF -Dlogging.level.com.mycompany.myapp=OFF -Dlogging.level.org.springframework=OFF -Dlogging.level.org.springframework.web=OFF -Dlogging.level.org.springframework.security=OFF --logging.level.org.springframework.web=ERROR",
    "ci:frontend:test": "npm run webapp:build:$npm_package_config_default_environment && npm run test-ci"
  },
  "config": {
    "backend_port": "8080",
    "default_environment": "prod",
    "packaging": "jar"
  },
  "dependencies": {
    "@fortawesome/fontawesome-svg-core": "1.2.35",
    "@fortawesome/free-solid-svg-icons": "5.15.3",
    "@fortawesome/react-fontawesome": "0.1.14",
    "@reduxjs/toolkit": "1.6.0",
    "axios": "0.21.1",
    "bootstrap": "4.6.0",
    "dayjs": "1.10.5",
    "history": "4.10.1",
    "loaders.css": "0.1.2",
    "lodash": "4.17.21",
    "path-browserify": "1.0.1",
    "react": "17.0.1",
    "react-dom": "17.0.1",
    "react-hook-form": "7.8.8",
    "react-hot-loader": "4.13.0",
    "react-jhipster": "0.16.2",
    "react-loadable": "5.5.0",
    "react-redux": "7.2.4",
    "react-redux-loading-bar": "5.0.0",
    "react-router-dom": "5.2.0",
    "react-toastify": "7.0.4",
    "react-transition-group": "4.4.2",
    "reactstrap": "8.9.0",
    "redux": "4.1.0",
    "redux-thunk": "2.3.0",
    "tslib": "2.3.0",
    "uuid": "8.3.2"
  },
  "devDependencies": {
    "@testing-library/react": "11.2.7",
    "@types/jest": "26.0.23",
    "@types/lodash": "4.14.170",
    "@types/node": "15.12.2",
    "@types/react": "17.0.11",
    "@types/react-dom": "17.0.7",
    "@types/react-redux": "7.1.16",
    "@types/react-router-dom": "5.1.7",
    "@types/redux": "3.6.31",
    "@types/webpack-env": "1.16.0",
    "@typescript-eslint/eslint-plugin": "4.27.0",
    "@typescript-eslint/parser": "4.27.0",
    "autoprefixer": "10.2.6",
    "browser-sync": "2.26.14",
    "browser-sync-webpack-plugin": "2.3.0",
    "concurrently": "6.2.0",
    "copy-webpack-plugin": "9.0.0",
    "core-js": "3.14.0",
    "cross-env": "7.0.3",
    "css-loader": "5.2.6",
    "css-minimizer-webpack-plugin": "3.0.1",
    "eslint": "7.28.0",
    "eslint-config-prettier": "8.3.0",
    "eslint-plugin-react": "7.24.0",
    "eslint-webpack-plugin": "2.5.4",
    "file-loader": "6.2.0",
    "fork-ts-checker-webpack-plugin": "6.2.10",
    "generator-jhipster": "7.1.0",
    "html-webpack-plugin": "5.3.1",
    "husky": "4.3.8",
    "identity-obj-proxy": "3.0.0",
    "jest": "27.0.4",
    "jest-junit": "12.2.0",
    "jest-sonar-reporter": "2.0.0",
    "json-loader": "0.5.7",
    "lint-staged": "11.0.0",
    "merge-jsons-webpack-plugin": "1.0.21",
    "mini-css-extract-plugin": "1.6.0",
    "postcss-loader": "6.1.0",
    "prettier": "2.3.1",
    "prettier-plugin-java": "1.2.0",
    "prettier-plugin-packagejson": "2.2.11",
    "react-infinite-scroller": "1.2.4",
    "redux-mock-store": "1.5.4",
    "rimraf": "3.0.2",
    "sass": "1.35.1",
    "sass-loader": "12.1.0",
    "simple-progress-webpack-plugin": "2.0.0",
    "sinon": "11.1.1",
    "source-map-loader": "3.0.0",
    "sourcemap-istanbul-instrumenter-loader": "0.2.0",
    "stripcomment-loader": "0.1.0",
    "style-loader": "2.0.0",
    "swagger-ui-dist": "3.50.0",
    "terser-webpack-plugin": "5.1.3",
    "thread-loader": "3.0.4",
    "to-string-loader": "1.1.6",
    "ts-jest": "27.0.3",
    "ts-loader": "9.2.3",
    "typescript": "4.3.3",
    "wait-on": "5.3.0",
    "webpack": "5.39.0",
    "webpack-cli": "4.9.1",
    "webpack-dev-server": "3.11.2",
    "webpack-merge": "5.8.0",
    "webpack-notifier": "1.13.0",
    "workbox-webpack-plugin": "6.1.5"
  },
  "engines": {
    "node": ">=14.17.1"
  },
  "cacheDirectories": [
    "node_modules"
  ],
  "jestSonar": {
    "reportPath": "target/test-results/jest",
    "reportFile": "TESTS-results-sonar.xml"
  }
}
